diff --git a/bot.sh b/bot.sh
index 12592eb867e3ed9bfaf996f39c335ce8b3ae4869..2811570b7662b857ae7dbc02e46ee0da8af68426 100755
--- a/bot.sh
+++ b/bot.sh
@@ -12,8 +12,20 @@ case $1 in
 	stop)
 		"${mydir}/willie/willie.py" -c "${mydir}/ffpb.cfg" --quit
 		;;
+
+	restart)
+		"$0" stop
+		sleep 2
+		"$0" start
+		;;
+
+	reload)
+		echo "Not supported by script. Issue '!reload ffpb' in a query to reload the ffpb module."
+		exit 2
+		;;
+
 	*)
-		echo "Unknown command. Please give 'start' or 'stop'."
+		echo "Unknown command. Please give 'start', 'stop' or 'restart'."
 		exit 1
 		;;
 esac